CREATE PROCEDURE [dbo].[spUpdateTopMenuItem]
	@topmenu_id				int,
	@topmenu_parent_id		int,
	@topmenu_name			varchar(50),
	@topmenu_action_type	varchar(5),
	@topmenu_action_data	varchar(255),
	@topmenu_permission_id	int
AS 
BEGIN
	UPDATE 
		tblTopMenu
	SET 
		[topmenu_parent_id] = @topmenu_parent_id
       ,[topmenu_name] = @topmenu_name
   	   ,[topmenu_action_type] = @topmenu_action_type
	   ,[topmenu_action_data] = @topmenu_action_data
	   ,[topmenu_permission_id] = @topmenu_permission_id
	WHERE 
		[topmenu_id] = @topmenu_id	   
END